Subject: Re: Xilinx git tree at source.mvista.com

From: "David H. Lynch Jr." <[email-masked]>
Date: Thu, 24 May 2007 05:57:56 -0400

Andrei Konovalov wrote:
> Hello,
>
> My Xilinx Virtex Development tree is now alive again.
>
> Please use the dev branch (master is just the ko copy):
> http://source.mvista.com/git/gitweb.cgi?p=linux-xilinx-26.git;a=shortlog;h=dev
> Currently it has a patch to enable the framebuffer
> on ML403 and ML300 plus TEMAC driver that uses
> the PHY lib (FIFO mode support only).
> The TEMAC driver is work in progress.
> In the queue are SGDMA TEMAC support, and SPI driver
> (master only).
>
> My concern is that the TEMAC driver uses the "level 1 drivers" from EDK 9.1.
> The comments / opinions on how to get this driver (not the current incomplete
> version of course) accepted into the ko tree are very welcomed.
>   
I have an almost working FIFO TEMAC driver. It is similarly based.
it started out based on the Trek webserver sample
I spent probably 3-4 days de-EDKing it into something that fit into a
single source and was closer to ko norms.
It is based on approximately the EDK 8.1 stuff. You are welcome to it,
if it could be helpful in anyway.
I am all for getting an acceptable driver into the ko tree.

> I am not quite satisfied with how the current git repository
> is structured, and may rework it completely later.
>
> Thanks,
> Andrei
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>   

-- 
Dave Lynch 					  	    DLA Systems
Software Development:  				         Embedded Linux
717.627.3770 	       [email-masked] 	  http://www.dlasys.net
fax: 1.253.369.9244 			           Cell: 1.717.587.7774
Over 25 years' experience in platforms, languages, and technologies too numerous to list.

"Any intelligent fool can make things bigger and more complex... It takes a touch of genius - and a lot of courage to move in the opposite direction."
Albert Einstein